/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule;

import net.sf.jedule.parser.JeduleSimGridXmlParser;
import net.sf.jedule.parser.JeduleXmlParser;

/**
 * @author sascha
 *
 */
public class JeduleParserFactory {

	public static JeduleXmlParser getXmlParser(String parserName) {
		JeduleXmlParser parser = null;

		if( parserName == null ) {
			parser = new JeduleSimGridXmlParser();
		} else if( parserName.equals("simgrid") ) {
			parser = new JeduleSimGridXmlParser();
		} else {
			parser = new JeduleSimGridXmlParser();
		}

		return parser;
	}

}
