/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.graphics.composed;

import java.util.Arrays;
import java.util.List;

import net.sf.jedule.graphics.JSheetLabeledRectangle;

/**
 * @author hunold
 *
 */
public class JSheetTaskRectangle extends JSheetLabeledRectangle {

    private final String[] labels;
    private final String[] nodeIds;

    public JSheetTaskRectangle(int width, int height, String[] labels,
            String[] nodeIds) {
        super(width, height, "");

        this.labels = new String[labels.length];
        this.nodeIds = new String[nodeIds.length];

        System.arraycopy(labels, 0, this.labels, 0, labels.length);
        System.arraycopy(nodeIds, 0, this.nodeIds, 0, nodeIds.length);

        String label = createLabel();
        setLabel(label);
    }

    private String createLabel() {
        String label = "";
        for (int i = 0; i < labels.length; i++) {
            if (i > 0) {
                label += "|";
            }
            label += labels[i];
        }
        return label;
    }

    public List<String> getNodeIds() {
        return Arrays.asList(nodeIds);
    }

}
