/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.io;

import java.io.File;

import javax.swing.filechooser.FileFilter;

import net.sf.jedule.settings.JeduleContextSupportedFormats.FILE_TYPE;

/**
 * @author sascha
 *
 */
public class JeduleFileFilter extends FileFilter {

    private final String suffix;
    private final String description;
    private final FILE_TYPE type;

    public JeduleFileFilter(String description, String suffix, FILE_TYPE type) {
        this.description = description;
        this.suffix = suffix;
        this.type = type;
    }

    public String getDescription() {
        return description;
    }

    public String getSuffix() {
        return suffix;
    }

    /* (non-Javadoc)
     * @see java.io.FileFilter#accept(java.io.File)
     */
    public boolean accept(File file) {
        boolean accepted = false;
        accepted |= file.getName().toLowerCase().endsWith(suffix);
        return accepted;
    }

    /**
     * @return
     */
    public FILE_TYPE getFileType() {
        return type;
    }

}
