/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.settings;


import net.sf.jedule.settings.JeduleContextSupportedFormats.FILE_TYPE;

/**
 * @author sascha
 *
 */
public class JeduleSaveInformation {

    private final String fileName;
    private JeduleImageInformation imageInfo;
    private final FILE_TYPE type;

    public JeduleSaveInformation(String fileName, FILE_TYPE type) {
        this.fileName = fileName;
        this.type = type;
    }

    /**
     * @return the fileName
     */
    public String getFileName() {
        return fileName;
    }

    public FILE_TYPE getFileType() {
        return type;
    }

    public void setJeduleImageInformation(JeduleImageInformation info) {
        this.imageInfo = info;
    }

    public JeduleImageInformation getImageInfo() {
        return imageInfo;
    }

}
