/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.system;

import java.util.ArrayList;
import java.util.List;

/**
 * @author hunold
 *
 */
public class JeduleCluster {

	private final List<JeduleHost> hosts = new ArrayList<JeduleHost>();
	private final int first_host;

	public JeduleCluster(int first_host_id) {
		this.first_host = first_host_id;
	}

	public void addJeduleHost(JeduleHost host) {
		hosts.add(host);
	}

	/**
	 * @return the hosts
	 */
	public List<JeduleHost> getHosts() {
		return hosts;
	}

	public int getNumberOfHosts() {
		return hosts.size();
	}

	public int getFirstHost() {
		return this.first_host;
	}

}
