/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.system;

import java.util.ArrayList;
import java.util.List;

/**
 * @author hunold
 *
 */
public class JeduleGrid {

	private final List<JeduleCluster> clusters = new ArrayList<JeduleCluster>();
	private String unitName = "s";
    private String slotsName = "Processors";
	
	public JeduleGrid() {
	}

	public int getNumberOfClusters() {
		return clusters.size();
	}

	public String getUnitName() {
	    return unitName;
	}

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public void setSlotsName(String slotsName) {
        this.slotsName = slotsName;
    }

    public String getSlotsName() {
        return slotsName;
    }

	public void addJeduleCluster(JeduleCluster cluster) {
		this.clusters.add(cluster);
	}

	public JeduleCluster getClusterById(int clusterId) {
		return this.clusters.get(clusterId);
	}

}
