/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.ui;

import net.sf.jedule.ui.swing.JSheetSwingContext;

/**
 * @author hunold
 *
 */
public class JSheetGraphicsContextFactory {

	public static IJSheetGraphicsContext getGraphicsContext(String contextType)
			throws UnsupportedContextException {

		IJSheetGraphicsContext context = null;

		if( contextType == null ) {
			throw new UnsupportedContextException("contextType must not be null");
		}

		if( contextType.equals("swing") ) {
			context = new JSheetSwingContext();
		} else {
			throw new UnsupportedContextException("unsupported context : "  + contextType);
		}

		return context;
	}

}
