/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.ui.event;

import java.util.EventObject;

/**
 * @author hunold
 *
 */
public class JSheetContextEvent extends EventObject {

	public static final String CMD_JEDULE_RELOAD = "jedule_reload";
	public static final String CMD_JEDULE_QUIT   = "jedule_quit";
	public static final String CMD_JEDULE_CMAP_CHANGED = "jedule_colormap_changed";

	public final static String MARK_NODE = "mark";
    public final static String MAKE_SNAPSHOT = "snapshot";
    public final static String SAVE_IMAGE = "save_image";

	private final String command;
	private final String value;

	/**
	 * @param source
	 */
	public JSheetContextEvent(Object source, String command, String value) {
		super(source);
		this.command = command;
		this.value = value;
	}

	public String getCommand() {
		return command;
	}

	public String getValue() {
	    return value;
	}

}
