/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.ui.swing;

import java.awt.Component;

import javax.swing.JOptionPane;

import net.sf.jedule.ui.IJSheetErrorReporter;

/**
 * @author hunold
 *
 */
public class JSheetSwingErrorReporter implements IJSheetErrorReporter {

	private final Component parent;

	public JSheetSwingErrorReporter(Component parent) {
		this.parent = parent;
	}

	/* (non-Javadoc)
	 * @see net.sf.jedule.ui.IJSheetErrorReporter#reportException(java.lang.Exception)
	 */
	public void reportException(Exception e) {
		JOptionPane.showMessageDialog(parent, e.getMessage());
	}

}
