/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.ui.swing;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JEditorPane;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;

import net.sf.jedule.settings.global.JeduleSettings;

/**
 * @author sascha
 *
 */
public class JeduleAboutDialog extends JDialog {

  /**
   * @param jeduleSwingViewer
   */
  public JeduleAboutDialog(JFrame parent) {
    super(parent, true);
    setTitle("About Jedule");

    JPanel p = new JPanel(new BorderLayout());

    JEditorPane textPane = new JEditorPane();
    textPane.setContentType("text/html");
    textPane.setEditable(false);
    p.add(textPane, BorderLayout.CENTER);

    textPane.setText(
    "<html>"
    + "<body>"
    + "Copyright (c) 2007-2010 <br />"
    + "Sascha Hunold &lt;sascha@icsi.berkeley.edu&gt; <br />"
    + "Version: " + JeduleSettings.getVersionString() + "<br/>"
    + "Website: " + "<a href=\"http://www.icsi.berkeley.edu/~sascha/jedule\">http://www.icsi.berkeley.edu/~sascha/jedule</a>"
    + "</body>"
    + "</html>" );

    JButton okB = new JButton("OK");
    JPanel buttonPane = new JPanel(new FlowLayout(FlowLayout.CENTER));
    buttonPane.add(okB);
    p.add(buttonPane, BorderLayout.SOUTH);

    okB.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        SwingUtilities.invokeLater(new Runnable() {
          public void run() {
            JeduleAboutDialog.this.setVisible(false);
          }
        });
      }
    });

    getContentPane().add(p);
    pack();
    setLocationRelativeTo(parent);
  }

}
