/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.ui.swing;

import java.awt.Font;
import java.util.ArrayList;
import java.util.List;

import javax.swing.JList;
import javax.swing.JScrollPane;

import net.sf.jedule.schedule.JeduleNode;

/**
 * @author hunold
 *
 */
public class JeduleSwingInfoPanel extends JScrollPane {

	private Font panelFont = new Font("SansSerif", Font.PLAIN, 11);

	private JList nodeInfoList = new JList();

	public JeduleSwingInfoPanel() {
		setViewportView(nodeInfoList);
		nodeInfoList.setFont(panelFont);
	}

	public void showJeduleNodes(List<JeduleNode> nodeList) {

		nodeInfoList.removeAll();

		java.util.List<String> stringList = new ArrayList<String>();
		for(JeduleNode node : nodeList) {
			stringList.add(getNodeInformation(node));
		}

		nodeInfoList.setListData(stringList.toArray(new String[stringList.size()]));
	}

	protected String getNodeInformation(final JeduleNode node) {
		StringBuffer infoBuf = new StringBuffer();

		infoBuf.append("id: ");
		infoBuf.append(node.getId());
		infoBuf.append("  start time: ");
		infoBuf.append(Double.toString(node.getStartTime()));
		infoBuf.append("  finish time: ");
		infoBuf.append(Double.toString(node.getEndTime()));

		infoBuf.append(" hosts: | ");
		for(String hostId : node.getHostIdList()) {
			infoBuf.append(hostId);
			infoBuf.append(" |");
		}

		return infoBuf.toString();
	}

}
