/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.ui.swing;

import java.util.ArrayList;
import java.util.List;

import net.sf.jedule.io.JeduleFileFilter;
import net.sf.jedule.settings.JeduleContextSupportedFormats;

/**
 * @author sascha
 *
 */
public class SwingContextSupportedFormats implements
        JeduleContextSupportedFormats {

    /* (non-Javadoc)
     * @see net.sf.jedule.settings.JeduleContextSupportedFormats#getSupportedExportFileFilters()
     */
    public List<JeduleFileFilter> getSupportedExportFileFilters() {
        final List<JeduleFileFilter> ffList = new ArrayList<JeduleFileFilter>();

        ffList.add(new JeduleFileFilter("pdf files (.pdf)", ".pdf",
                FILE_TYPE.PDF));
        ffList.add(new JeduleFileFilter("png images (.png)", ".png",
                FILE_TYPE.PNG));
        ffList.add(new JeduleFileFilter("jpg images (.jpg)", ".jpg",
                FILE_TYPE.JPG));
//        ffList.add(new JeduleFileFilter("tikz graphics (.tex)", ".tex",
//                FILE_TYPE.TIKZ));

        return ffList;
    }

}
