/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.ui.swing.components;

import java.awt.Color;
import java.awt.Graphics2D;

import net.sf.jedule.graphics.JSheetRectangle;

public class JSheetSwingRectangle extends JSheetSwingComponent {

	private static final long serialVersionUID = 1L;
    private final JSheetRectangle rectangle;

	public JSheetSwingRectangle(JSheetRectangle rectangle) {
		super(rectangle);
		this.rectangle = rectangle;
	}

	public Color getBackground() {
		return rectangle.getBackground();
	}

	public Color getForeground() {
		return rectangle.getForeground();
	}

	public void renderComponent(Graphics2D g) {
		//System.out.println("render rectangle : " + rectangle);
		g.setColor(rectangle.getBackground());
		g.fillRect(0, 0, rectangle.getWidth()-1, rectangle.getHeight()-1);
		g.setColor(Color.BLACK);
		g.drawRect(0, 0, rectangle.getWidth()-1, rectangle.getHeight()-1);
	}

}
