/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.ui.swing.components;

import java.awt.event.MouseEvent;
import java.util.logging.Logger;

import javax.swing.SwingUtilities;

import net.sf.jedule.graphics.composed.JSheetTaskRectangle;
import net.sf.jedule.ui.event.JSheetNodeInfoContextEvent;

/**
 * @author hunold
 *
 */
public class JSheetSwingTaskRectangle extends JSheetSwingLabeledRectangle {

	private static final long serialVersionUID = 1L;
    private final static Logger LOGGER = Logger
			.getLogger(JSheetSwingTaskRectangle.class.getName());

	public JSheetSwingTaskRectangle(JSheetTaskRectangle rectangle) {
		super(rectangle);
		addMouseListener(this);
	}

	public void customMousePressed(MouseEvent e) {
		if( e.getClickCount() == 1 && SwingUtilities.isRightMouseButton(e) ) {
			JSheetTaskRectangle rectangle = (JSheetTaskRectangle)getJSheetObject();
			LOGGER.fine("show info for " + rectangle.getNodeIds());
			fireIJSheetContextEvent(new JSheetNodeInfoContextEvent(this, "info",
					rectangle.getNodeIds()));
		}
	}

}
