/**
 * jedule - schedule drawing tool
 *
 * Copyright (C) 2007
 * Sascha Hunold <hunoldinho@users.sourceforge.net>
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.jedule.ui.tools;

import java.awt.Dimension;
import java.awt.Graphics2D;
import java.awt.Point;

/**
 * @author hunold
 *
 */
public class ScreenTools {


	public static Point getStringPosition(final Graphics2D graphics,
			final String text, final Dimension dimension) {
		final Point p = new Point();

		final int sWidth   = getStringWidth(graphics, text);
		final int sHeight  = getStringHeight(graphics, text);

		p.x = (dimension.width - sWidth) / 2;
		p.y = (dimension.height + sHeight) / 2 - 2;  // -2 to center correctly

		return p;
	}

	public static int getStringWidth(final Graphics2D g, final String text) {
		return g.getFontMetrics().stringWidth(text);
	}

	public static int getStringHeight(Graphics2D g, String label) {
		return g.getFontMetrics().getHeight();
	}

}
